{% load static %}

<!DOCTYPE html>
<html lang="zh-CN">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    {#    <!-- 上述3个meta标签*必须*放在最前面，任何其他内容都*必须*跟随其后！ -->#}
    <title>{% block title %}base{% endblock %}</title>

    {#    <!-- Bootstrap -->#}
    <link href="{% static 'bootstrap-3.3.7-dist/css/bootstrap.min.css' %}" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="/static/css/left_nav.css">
    <link rel="stylesheet" type="text/css" href="/static/css/search.css">
    <link rel="stylesheet" href="/static/css/style.css">
    {#    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->#}
    {#    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->#}
    {#    <!--[if lt IE 9]>#}
    <script src="https://cdn.bootcss.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script src="https://cdn.bootcss.com/respond.js/1.4.2/respond.min.js"></script>
	<script src="https://cdn.staticfile.org/jquery/1.10.2/jquery.min.js"></script>
    {#    <![endif]-->#}
    <style>
        .navbar {
            margin-bottom: 0;
        }

        .navbar .user-pic {
            display: inline-block;
            height: 50px;
            width: 50px;
            vertical-align: top;
            padding: 0 !important;
        }
        .navbar-right .user-pic img {
            height: 80%;
            width: 80%;
            border-radius: 50% 50%;
            margin-top: 10%;
        }

        .navbar-collapse > ul > li:hover {
            background-color: rgba(255, 255, 255, 0.6);
        }
    </style>
    {% block css %}{% endblock %}
</head>
<body>
<nav class="navbar navbar-default">
    <div class="container-fluid">
        {#        <!-- Collect the nav links, forms, and other content for toggle  -->#}
            <a class="navbar-brand" href="">同新云</a>
            <ul class="nav navbar-nav">
                <li class="active"><a href="/index/">主页</a></li>
            </ul>
            <ul class="nav navbar-nav navbar-right">
                {% if request.session.is_login %}
                    <li class="user-pic">
                        <a class="user-pic" style="margin-left: 15px" href={% url 'center' loginuser=request.session.user_account %}>
                        <img src="{{ user.ProfilePicture }}" alt> </a>
                    </li>
                    <li>
                        <a class="online" href="{% url 'center' loginuser=request.session.user_account %}">当前在线：{{ request.session.user_account }}</a>
                    </li>

                    <li><a href="/logout/">登出</a></li>
                {% else %}
                    <li><a href="/login/">登录</a></li>
                    <li><a href="/register/">注册</a></li>
                {% endif %}
            </ul>
        </div>
        {#          <!-- /.navbar-collapse -->#}
    {#        <!-- /.container-fluid -->#}
</nav>

{% block content %}{% endblock %}


{#    <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->#}
{#    <script src="{% static 'js/jquery-3.2.1.js' %}"></script>#}
{#    <!-- Include all compiled plugins (below), or include individual files as needed -->#}
{#    <script src="{% static 'bootstrap-3.3.7-dist/js/bootstrap.min.js' %}"></script>#}
</body>
</html>